package org.joda.time;

import org.joda.time.chrono.GJChronology;

import junit.framework.TestCase;

public class TestDateMidnight_Basics3 extends TestCase {
	
	private static final DateTimeZone LONDON = DateTimeZone.forID("Europe/London");
	
	private static final GJChronology GJ_DEFAULT = GJChronology.getInstance(LONDON);

	public void test1() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(2);
	}

	public void test2() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(0);
	}

	public void test3() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(13);
	}
	
	public void test101() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(1);
	}
	
	public void test102() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(3);
	}
	
	public void test103() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(8);
	}
	
	public void test104() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(7);
	}
	
	public void test105() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(9);
	}
	
	public void test106() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(10);
	}
	
	public void test107() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(11);
	}
	
	public void test108() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(12);
	}
	
	public static void main(String[] args) {
		TestDateMidnight_Basics3 t = new TestDateMidnight_Basics3();
		t.test1();
		
		t.test101();
		t.test102();
		t.test103();
		t.test104();
		t.test105();
		t.test106();
		t.test107();
		t.test108();
	}

}
