package org.joda.time;

import org.joda.time.chrono.GJChronology;

import junit.framework.TestCase;

public class TestDateTime_Basics3 extends TestCase {
	
private static final DateTimeZone LONDON = DateTimeZone.forID("Europe/London");
	
	private static final GJChronology GJ_DEFAULT = GJChronology.getInstance(LONDON);

	public void test1() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(2);
	}
	
	public void test1b() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(1);
	}
	
	public void test1c() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(3);
	}
	
	public void test1d() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(8);
	}
	
	public void test1e() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(7);
	}
	
	public void test1f() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(9);
	}
	
	public void test1g() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(10);
	}
	
	public void test1h() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(11);
	}
	
	public void test1i() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(12);
	}

	public void test2() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(0);
	}

	public void test3() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(13);
	}
	
	public static void main(String[] args) {
		TestDateTime_Basics3 t = new TestDateTime_Basics3();
		t.test1();
		
		t.test1b();
		t.test1c();
		t.test1d();
		t.test1e();
		t.test1f();
		t.test1g();
		t.test1h();
		t.test1i();
	}

}
