package org.joda.time;

import junit.framework.TestCase;

public class TestDays10 extends TestCase {

	public void test1() {
		Days test = Days.days(2);
		test.multipliedBy(3).getDays();
	}

	public void test2() {
		Days test = Days.days(2);
		test.multipliedBy(-3).getDays();
	}

	public void test3() {
		Days test = Days.days(2);
		test.multipliedBy(1).getDays();
	}
	
	public void test3b() {
		Days test = Days.days(Integer.MAX_VALUE / 2 + 1);
		test.multipliedBy(1).getDays();
	}
	
	public void test3c() {
		Days test = Days.days(1);
		test.multipliedBy(Integer.MAX_VALUE).getDays();
	}
	
	public void test3d() {
		Days test = Days.days(2);
		test.multipliedBy(Integer.MAX_VALUE / 2).getDays();
	}
	
	public void test3e() {
		Days test = Days.days(Integer.MAX_VALUE);
		test.multipliedBy(1).getDays();
	}
	
	public void test3f() {
		Days test = Days.days(Integer.MAX_VALUE / 2);
		test.multipliedBy(2).getDays();
	}

	public void test4() {
		Days halfMax = Days.days(Integer.MAX_VALUE / 2 + 1);
		halfMax.multipliedBy(2);
	}
	
	public static void main(String[] args) {
		TestDays10 t = new TestDays10();
		t.test1();
		t.test2();
		t.test3();
		
		t.test3b();
		t.test3c();
		t.test3d();
		t.test3e();
		t.test3f();
	}

}
