package org.joda.time;

import junit.framework.TestCase;

public class TestHours9 extends TestCase {

	public void test1() {
		Hours test = Hours.hours(2);
		test.multipliedBy(3).getHours();
	}

	public void test2() {
		Hours test = Hours.hours(2);
		test.multipliedBy(-3).getHours();
	}

	public void test3() {
		Hours test = Hours.hours(2);
		test.multipliedBy(1).getHours();
	}

	public void test4() {
		Hours halfMax = Hours.hours(Integer.MAX_VALUE / 2 + 1);
		halfMax.multipliedBy(2);
	}
	
	public void test1b() {
		Hours test = Hours.hours(Integer.MAX_VALUE / 2);
		test.multipliedBy(1).getHours();
	}
	
	public void test1c() {
		Hours test = Hours.hours(1);
		test.multipliedBy(Integer.MAX_VALUE).getHours();
	}
	
	public void test1d() {
		Hours test = Hours.hours(2);
		test.multipliedBy(Integer.MAX_VALUE / 2).getHours();
	}
	
	public void test1e() {
		Hours test = Hours.hours(Integer.MAX_VALUE);
		test.multipliedBy(1).getHours();
	}
	
	public void test1f() {
		Hours test = Hours.hours(Integer.MAX_VALUE / 2);
		test.multipliedBy(2).getHours();
	}
	
	public static void main(String[] args) {
		TestHours9 t = new TestHours9();
		t.test1();
		t.test2();
		t.test3();
		
		t.test1b();
		t.test1c();
		t.test1d();
		t.test1e();
		t.test1f();
	}

}
