package org.joda.time;

import junit.framework.TestCase;

public class TestMutableDateTime_Set6 extends TestCase {

	public void testSetDayOfMonth_int1() {
		MutableDateTime test = new MutableDateTime(2002, 6, 9, 5, 6, 7, 8);
		test.setDayOfMonth(17);
	}

	public void testSetDayOfMonth_int2() {
		MutableDateTime test = new MutableDateTime(2002, 6, 9, 5, 6, 7, 8);
		test.setDayOfMonth(31);
	}

	public void testSetDayOfMonth_int_dstOverlapSummer_addZero() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.setDayOfMonth(30);
	}

	public void testSetDayOfMonth_int_dstOverlapWinter_addZero() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.addHours(1);
		test.setDayOfMonth(30);
	}
	
	public void test1b() {
		MutableDateTime test = new MutableDateTime(2002, 6, 9, 5, 6, 7, 8);
		test.setDayOfMonth(29);
	}
	
	public void test1c() {
		MutableDateTime test = new MutableDateTime(2002, 6, 9, 5, 6, 7, 8);
		test.setDayOfMonth(30);
	}
	
	public void test1d() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.setDayOfMonth(17);
	}

	public void test1e() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.addHours(1);
		test.setDayOfMonth(17);
	}
	
	public void test1f() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.setDayOfMonth(29);
	}

	public void test1g() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.addHours(1);
		test.setDayOfMonth(29);
	}
	
	public void test1h() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.setDayOfMonth(31);
	}

	public void test1i() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.addHours(1);
		test.setDayOfMonth(31);
	}

	public static void main(String[] args) {
		TestMutableDateTime_Set6 t = new TestMutableDateTime_Set6();
		t.testSetDayOfMonth_int1();
		t.testSetDayOfMonth_int_dstOverlapSummer_addZero();
		t.testSetDayOfMonth_int_dstOverlapWinter_addZero();
		
		t.test1b();
		t.test1c();
		t.test1d();
		t.test1e();
		t.test1f();
		t.test1g();
		t.test1h();
		t.test1i();
	}
	
}
