package org.joda.time;

import org.joda.time.chrono.GJChronology;

import junit.framework.TestCase;

public class TestDateMidnight_Basics3 extends TestCase {
	
	private static final DateTimeZone LONDON = DateTimeZone.forID("Europe/London");
	
	private static final GJChronology GJ_DEFAULT = GJChronology.getInstance(LONDON);

	public void test1() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(2);
	}

	public void test2() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(0);
	}

	public void test3() {
		DateMidnight test = new DateMidnight(1970, 6, 9, GJ_DEFAULT);
		test.withMonthOfYear(13);
	}
	
	public static void main(String[] args) {
		TestDateMidnight_Basics3 t = new TestDateMidnight_Basics3();
		t.test1();
	}

}
