package org.joda.time;

import junit.framework.TestCase;

public class TestDateTimeZone2 extends TestCase {

	public void test1() {
		DateTimeZone.forID("Europe/London");
	}

	public void test2() {
		DateTimeZone.forID("UTC");
	}

	public void test3() {
		DateTimeZone.forID("+00:00");
	}

	public void test4() {
		DateTimeZone.forID("+00");
	}

	public void test5() {
		DateTimeZone.forID("+01:23");
	}

	public void test6() {
		DateTimeZone.forID("-02:00");
	}

	public void test7() {
		DateTimeZone.forID("-07:05:34.0");
	}

	public void test8() {
		DateTimeZone.forID("SST");
	}

	public void test9() {
		DateTimeZone.forID("europe/london");
	}

	public void test10() {
		DateTimeZone.forID("Europe/UK");
	}

	public void test11() {
		DateTimeZone.forID("+");
	}

	public void test12() {
		DateTimeZone.forID("+0");
	}
	
	public static void main(String[] args) {
		TestDateTimeZone2 t = new TestDateTimeZone2();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
		t.test7();
	}

}
