package org.joda.time;

import junit.framework.TestCase;

public class TestDays1 extends TestCase {

	public void test1() {
		Days.standardDaysIn((ReadablePeriod) null).getDays();
	}

	public void test2() {
		Days.standardDaysIn(Period.ZERO).getDays();
	}

	public void test3() {
		Days.standardDaysIn(new Period(0, 0, 0, 1, 0, 0, 0, 0)).getDays();
	}

	public void test4() {
		Days.standardDaysIn(Period.days(123)).getDays();
	}

	public void test5() {
		Days.standardDaysIn(Period.days(-987)).getDays();
	}

	public void test6() {
		Days.standardDaysIn(Period.hours(47)).getDays();
	}

	public void test7() {
		Days.standardDaysIn(Period.hours(48)).getDays();
	}

	public void test8() {
		Days.standardDaysIn(Period.hours(49)).getDays();
	}

	public void test9() {
		Days.standardDaysIn(Period.weeks(2)).getDays();
	}

	public void test10() {
		Days.standardDaysIn(Period.months(1));
	}
	
	public static void main(String[] args) {
		TestDays1 t = new TestDays1();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
		t.test7();
		t.test8();
		t.test9();
	}

}
