package org.joda.time;

import junit.framework.TestCase;

public class TestDays2 extends TestCase {

	public void test1() {
		Days.parseDays((String) null).getDays();
	}

	public void test2() {
		Days.parseDays("P0D").getDays();
	}

	public void test3() {
		Days.parseDays("P1D").getDays();
	}

	public void test4() {
		Days.parseDays("P-3D").getDays();
	}

	public void test5() {
		Days.parseDays("P0Y0M2D").getDays();
	}

	public void test6() {
		Days.parseDays("P2DT0H0M").getDays();
	}

	public void test7() {
		Days.parseDays("P1Y1D");
	}

	public void test8() {
		Days.parseDays("P1DT1H");
	}
	
	public static void main(String[] args) {
		TestDays2 t = new TestDays2();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
	}

}
