package org.joda.time;

import junit.framework.TestCase;

public class TestDuration_Basics4 extends TestCase {

	public void test1() {
		Duration test = new Duration(0L);
		test.toStandardMinutes();
	}

	public void test2() {
		Duration test = new Duration(1L);
		test.toStandardMinutes();
	}

	public void test3() {
		Duration test = new Duration(60000L - 1);
		test.toStandardMinutes();
	}

	public void test4() {
		Duration test = new Duration(60000L);
		test.toStandardMinutes();
	}

	public void test5() {
		Duration test = new Duration(60000L + 1);
		test.toStandardMinutes();
	}

	public void test6() {
		Duration test = new Duration(2 * 60000L - 1);
		test.toStandardMinutes();
	}

	public void test7() {
		Duration test = new Duration(2 * 60000L);
		test.toStandardMinutes();
	}

	public void test8() {
		Duration test = new Duration(-1L);
		test.toStandardMinutes();
	}

	public void test9() {
		Duration test = new Duration(-60000L + 1);
		test.toStandardMinutes();
	}

	public void test10() {
		Duration test = new Duration(-60000L);
		test.toStandardMinutes();
	}

	public void test11() {
		Duration test = new Duration(((long) Integer.MAX_VALUE) * 60000L + 60000L);
		test.toStandardMinutes();
	}
	
	public static void main(String[] args) {
		TestDuration_Basics4 t = new TestDuration_Basics4();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
		t.test7();
		t.test8();
		t.test9();
		t.test10();
	}

}
