package org.joda.time;

import junit.framework.TestCase;

public class TestHours2 extends TestCase {

	public void test1() {
		assertEquals(0, Hours.parseHours((String) null).getHours());
	}

	public void test2() {
		Hours.parseHours("PT0H").getHours();
	}

	public void test3() {
		Hours.parseHours("PT1H").getHours();
	}

	public void test4() {
		Hours.parseHours("PT-3H").getHours();
	}

	public void test5() {
		Hours.parseHours("P0Y0M0DT2H").getHours();
	}

	public void test6() {
		Hours.parseHours("PT2H0M").getHours();
	}

	public void test7() {
		Hours.parseHours("P1Y1D");
	}

	public void test8() {
		Hours.parseHours("P1DT1H");
	}
	
	public static void main(String[] args) {
		TestHours2 t = new TestHours2();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
	}

}
