package org.joda.time;

import junit.framework.TestCase;

public class TestInterval_Constructors1 extends TestCase {

	public void test7() throws Throwable {
		Interval.parseWithOffset("2010-06-30T12:30/2010-07-01T14:30");
	}

	public void test8() throws Throwable {
		Interval.parseWithOffset("2010-06-30T12:30/P1DT2H");
	}

	public void test9() throws Throwable {
		Interval.parseWithOffset("P1DT2H/2010-07-01T14:30");
	}

	public void test10() throws Throwable {
		Interval.parseWithOffset("2010-06-30T12:30+04:00/2010-07-01T14:30+04:00");
	}

	public void test11() throws Throwable {
		Interval.parseWithOffset("2010-06-30T12:30+04:00/p1DT2H");
	}

	public void test12() throws Throwable {
		Interval.parseWithOffset("p1DT2H/2010-07-01T14:30+04:00");
	}

	public void test13() throws Throwable {
		Interval.parseWithOffset("2010-06-30T12:30");
	}

	public void test14() throws Throwable {
		Interval.parseWithOffset("P1D/P1D");
	}
	
	public static void main(String[] args) throws Throwable {
		TestInterval_Constructors1 t = new TestInterval_Constructors1();
		t.test7();
		t.test8();
		t.test9();
		t.test10();
		t.test11();
		t.test12();
	}

}
