package org.joda.time;

import junit.framework.TestCase;

public class TestLocalDateTime_Basics10 extends TestCase {

	public void testWithFieldAdded_DurationFieldType_int_1() {
		LocalDateTime test = new LocalDateTime(2004, 6, 9, 10, 20, 30, 40);
		LocalDateTime result = test.withFieldAdded(DurationFieldType.years(), 6);
	}

	public void testWithFieldAdded_DurationFieldType_int_2() {
		LocalDateTime test = new LocalDateTime(2004, 6, 9, 10, 20, 30, 40);
		test.withFieldAdded(null, 0);
	}

	public void testWithFieldAdded_DurationFieldType_int_3() {
		LocalDateTime test = new LocalDateTime(2004, 6, 9, 10, 20, 30, 40);
		test.withFieldAdded(null, 6);
	}

	public void testWithFieldAdded_DurationFieldType_int_4() {
		LocalDateTime test = new LocalDateTime(2004, 6, 9, 10, 20, 30, 40);
		LocalDateTime result = test.withFieldAdded(DurationFieldType.years(), 0);
	}
	
	public static void main(String[] args) throws Throwable {
		TestLocalDateTime_Basics10 t = new TestLocalDateTime_Basics10();
		t.testWithFieldAdded_DurationFieldType_int_1();
		t.testWithFieldAdded_DurationFieldType_int_4();
	}

}
