package org.joda.time;

import org.joda.time.chrono.GJChronology;

import junit.framework.TestCase;

public class TestLocalDateTime_Basics13 extends TestCase {
	
	private static final GJChronology GJ_UTC = GJChronology.getInstanceUTC();

	public void test1() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.year());
	}

	public void test2() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.monthOfYear());
	}

	public void test3() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.dayOfMonth());
	}

	public void test4() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.dayOfWeek());
	}

	public void test5() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.dayOfYear());
	}

	public void test6() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.weekOfWeekyear());
	}

	public void test7() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.weekyear());
	}

	public void test8() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.yearOfCentury());
	}

	public void test9() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.yearOfEra());
	}

	public void test10() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.centuryOfEra());
	}

	public void test11() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.era());
	}

	public void test12() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.hourOfDay());
	}

	public void test13() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.minuteOfHour());
	}

	public void test14() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.secondOfMinute());
	}

	public void test15() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.millisOfSecond());
	}

	public void test16() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(DateTimeFieldType.millisOfDay());
	}

	public void test17() {
		LocalDateTime test = new LocalDateTime(2005, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.property(null);
	}
	
	public static void main(String[] args) {
		TestLocalDateTime_Basics13 t = new TestLocalDateTime_Basics13();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
		t.test7();
		t.test8();
		t.test9();
		t.test10();
		t.test11();
		t.test12();
		t.test13();
		t.test14();
		t.test15();
		t.test16();
	}

}
