package org.joda.time;

import junit.framework.TestCase;

public class TestLocalDate_Basics10 extends TestCase {

	public void testWithFieldAdded_DurationFieldType_int_1() {
		LocalDate test = new LocalDate(2004, 6, 9);
		LocalDate result = test.withFieldAdded(DurationFieldType.years(), 6);
	}

	public void testWithFieldAdded_DurationFieldType_int_2() {
		LocalDate test = new LocalDate(2004, 6, 9);
		test.withFieldAdded(null, 0);
	}

	public void testWithFieldAdded_DurationFieldType_int_3() {
		LocalDate test = new LocalDate(2004, 6, 9);
		test.withFieldAdded(null, 6);
	}

	public void testWithFieldAdded_DurationFieldType_int_4() {
		LocalDate test = new LocalDate(2004, 6, 9);
		LocalDate result = test.withFieldAdded(DurationFieldType.years(), 0);
	}

	public void testWithFieldAdded_DurationFieldType_int_5() {
		LocalDate test = new LocalDate(2004, 6, 9);
		test.withFieldAdded(DurationFieldType.hours(), 6);
	}
	
	public static void main(String[] args) {
		TestLocalDate_Basics10 t = new TestLocalDate_Basics10();
		t.testWithFieldAdded_DurationFieldType_int_1();
		t.testWithFieldAdded_DurationFieldType_int_4();
	}

}
