package org.joda.time;

import org.joda.time.chrono.GJChronology;

import junit.framework.TestCase;

public class TestLocalDate_Basics11 extends TestCase {

	private static final GJChronology GJ_UTC = GJChronology.getInstanceUTC();

	public void test1() {
		LocalDate test = new LocalDate(1970, 6, 9, GJ_UTC);
		test.withMonthOfYear(2);
	}

	public void test2() {
		LocalDate test = new LocalDate(1970, 6, 9, GJ_UTC);
		test.withMonthOfYear(0);
	}

	public void test3() {
		LocalDate test = new LocalDate(1970, 6, 9, GJ_UTC);
		test.withMonthOfYear(13);
	}
	
	public static void main(String[] args) throws Throwable {
		TestLocalDate_Basics11 t = new TestLocalDate_Basics11();
		t.test1();
	}

}
