package org.joda.time;

import org.joda.time.chrono.GJChronology;

import junit.framework.TestCase;

public class TestLocalDate_Basics14 extends TestCase {

	private static final GJChronology GJ_UTC = GJChronology.getInstanceUTC();

	public void test1() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.year());
	}

	public void test2() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.monthOfYear());
	}

	public void test3() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.dayOfMonth());
	}

	public void test4() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.dayOfWeek());
	}

	public void test5() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.dayOfYear());
	}

	public void test6() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.weekOfWeekyear());
	}

	public void test7() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.weekyear());
	}

	public void test8() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.yearOfCentury());
	}

	public void test9() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.yearOfEra());
	}

	public void test10() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.centuryOfEra());
	}

	public void test11() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.era());
	}

	public void test12() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(DateTimeFieldType.millisOfDay());
	}

	public void test13() {
		LocalDate test = new LocalDate(2005, 6, 9, GJ_UTC);
		test.property(null);
	}
	
	public static void main(String[] args) {
		TestLocalDate_Basics14 t = new TestLocalDate_Basics14();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
		t.test7();
		t.test8();
		t.test9();
		t.test10();
		t.test11();
	}

}
