package org.joda.time;

import junit.framework.TestCase;

public class TestLocalTime_Basics10 extends TestCase {

	public void testWithFieldAdded_DurationFieldType_int_1() {
		LocalTime test = new LocalTime(10, 20, 30, 40);
		LocalTime result = test.withFieldAdded(DurationFieldType.hours(), 6);
	}

	public void testWithFieldAdded_DurationFieldType_int_2() {
		LocalTime test = new LocalTime(10, 20, 30, 40);
		test.withFieldAdded(null, 0);
	}

	public void testWithFieldAdded_DurationFieldType_int_3() {
		LocalTime test = new LocalTime(10, 20, 30, 40);
		test.withFieldAdded(null, 6);
	}

	public void testWithFieldAdded_DurationFieldType_int_4() {
		LocalTime test = new LocalTime(10, 20, 30, 40);
		LocalTime result = test.withFieldAdded(DurationFieldType.hours(), 0);
	}

	public void testWithFieldAdded_DurationFieldType_int_5() {
		LocalTime test = new LocalTime(10, 20, 30, 40);
		test.withFieldAdded(DurationFieldType.days(), 6);
	}

	public void testWithFieldAdded_DurationFieldType_int_6() {
		LocalTime test = new LocalTime(10, 20, 30, 40);
		LocalTime result = test.withFieldAdded(DurationFieldType.hours(), 16);
	}

	public void testWithFieldAdded_DurationFieldType_int_7() {
		LocalTime test = new LocalTime(23, 59, 59, 999);
		LocalTime result = test.withFieldAdded(DurationFieldType.millis(), 1);
	}

	public void testWithFieldAdded_DurationFieldType_int_7b() {
		LocalTime test = new LocalTime(23, 59, 59, 999);
		LocalTime result = test.withFieldAdded(DurationFieldType.seconds(), 1);
	}

	public void testWithFieldAdded_DurationFieldType_int_7c() {
		LocalTime test = new LocalTime(23, 59, 59, 999);
		LocalTime result = test.withFieldAdded(DurationFieldType.minutes(), 1);
	}

	public void testWithFieldAdded_DurationFieldType_int_7d() {
		LocalTime test = new LocalTime(23, 59, 59, 999);
		LocalTime result = test.withFieldAdded(DurationFieldType.hours(), 1);
	}

	public void testWithFieldAdded_DurationFieldType_int_8() {
		LocalTime test = new LocalTime(0, 0, 0, 0);
		LocalTime result = test.withFieldAdded(DurationFieldType.millis(), -1);
	}

	public void testWithFieldAdded_DurationFieldType_int_8b() {
		LocalTime test = new LocalTime(0, 0, 0, 0);
		LocalTime result = test.withFieldAdded(DurationFieldType.seconds(), -1);
	}

	public void testWithFieldAdded_DurationFieldType_int_8c() {
		LocalTime test = new LocalTime(0, 0, 0, 0);
		LocalTime result = test.withFieldAdded(DurationFieldType.minutes(), -1);
	}

	public void testWithFieldAdded_DurationFieldType_int_8d() {
		LocalTime test = new LocalTime(0, 0, 0, 0);
		LocalTime result = test.withFieldAdded(DurationFieldType.hours(), -1);
	}
	
	public static void main(String[] args) {
		TestLocalTime_Basics10 t = new TestLocalTime_Basics10();
		t.testWithFieldAdded_DurationFieldType_int_1();
		t.testWithFieldAdded_DurationFieldType_int_4();
		t.testWithFieldAdded_DurationFieldType_int_6();
		t.testWithFieldAdded_DurationFieldType_int_7();
		t.testWithFieldAdded_DurationFieldType_int_7b();
		t.testWithFieldAdded_DurationFieldType_int_7c();
		t.testWithFieldAdded_DurationFieldType_int_7d();
		t.testWithFieldAdded_DurationFieldType_int_8();
		t.testWithFieldAdded_DurationFieldType_int_8b();
		t.testWithFieldAdded_DurationFieldType_int_8c();
		t.testWithFieldAdded_DurationFieldType_int_8d();
	}

}
