package org.joda.time;

import org.joda.time.chrono.CopticChronology;

import junit.framework.TestCase;

public class TestLocalTime_Basics4 extends TestCase {

	private static final DateTimeZone PARIS = DateTimeZone.forID("Europe/Paris");
    private static final Chronology COPTIC_PARIS = CopticChronology.getInstance(PARIS);

	public void test1() {
		LocalTime test = new LocalTime(10, 20, 30, 40, COPTIC_PARIS);
		test.getValue(0);
	}

	public void test2() {
		LocalTime test = new LocalTime(10, 20, 30, 40, COPTIC_PARIS);
		test.getValue(1);
	}

	public void test3() {
		LocalTime test = new LocalTime(10, 20, 30, 40, COPTIC_PARIS);
		test.getValue(2);
	}

	public void test4() {
		LocalTime test = new LocalTime(10, 20, 30, 40, COPTIC_PARIS);
		test.getValue(3);
	}

	public void test5() {
		LocalTime test = new LocalTime(10, 20, 30, 40, COPTIC_PARIS);
		test.getValue(-1);
	}

	public void test6() {
		LocalTime test = new LocalTime(10, 20, 30, 40, COPTIC_PARIS);
		test.getValue(5);
	}
	
	public static void main(String[] args) {
		TestLocalTime_Basics4 t = new TestLocalTime_Basics4();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
	}

}
