package org.joda.time;

import junit.framework.TestCase;

public class TestLocalTime_Basics9 extends TestCase {

	public void testWithField_DateTimeFieldType_int_1() {
		LocalTime test = new LocalTime(10, 20, 30, 40);
		LocalTime result = test.withField(DateTimeFieldType.hourOfDay(), 15);
	}

	public void testWithField_DateTimeFieldType_int_2() {
		LocalTime test = new LocalTime(10, 20, 30, 40);
		test.withField(null, 6);
	}

	public void testWithField_DateTimeFieldType_int_3() {
		LocalTime test = new LocalTime(10, 20, 30, 40);
		test.withField(DateTimeFieldType.dayOfMonth(), 6);
	}

	public void testWithField_DateTimeFieldType_int_4() {
		LocalTime test = new LocalTime(10, 20, 30, 40);
        LocalTime result = test.withField(DateTimeFieldType.hourOfDay(), 10);
	}
	
	public static void main(String[] args) {
		TestLocalTime_Basics9 t = new TestLocalTime_Basics9();
		t.testWithField_DateTimeFieldType_int_1();
		t.testWithField_DateTimeFieldType_int_4();
	}

}
