package org.joda.time;

import junit.framework.TestCase;

public class TestMinutes1 extends TestCase {

	public void test1() {
		Minutes.standardMinutesIn((ReadablePeriod) null).getMinutes();
	}

	public void test2() {
		Minutes.standardMinutesIn(Period.ZERO).getMinutes();
	}

	public void test3() {
		Minutes.standardMinutesIn(new Period(0, 0, 0, 0, 0, 1, 0, 0)).getMinutes();
	}

	public void test4() {
		Minutes.standardMinutesIn(Period.minutes(123)).getMinutes();
	}

	public void test5() {
		Minutes.standardMinutesIn(Period.minutes(-987)).getMinutes();
	}

	public void test6() {
		Minutes.standardMinutesIn(Period.seconds(119)).getMinutes();
	}

	public void test7() {
		Minutes.standardMinutesIn(Period.seconds(120)).getMinutes();
	}

	public void test8() {
		Minutes.standardMinutesIn(Period.seconds(121)).getMinutes();
	}

	public void test9() {
		Minutes.standardMinutesIn(Period.hours(2)).getMinutes();
	}

	public void test10() {
		Minutes.standardMinutesIn(Period.months(1));
	}
	
	public static void main(String[] args) {
		TestMinutes1 t = new TestMinutes1();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
		t.test7();
		t.test8();
		t.test9();
	}

}
