package org.joda.time;

import junit.framework.TestCase;

public class TestMinutes2 extends TestCase {

	public void test1() {
		Minutes.parseMinutes((String) null).getMinutes();
	}

	public void test2() {
		Minutes.parseMinutes("PT0M").getMinutes();
	}

	public void test3() {
		Minutes.parseMinutes("PT1M").getMinutes();
	}

	public void test4() {
		Minutes.parseMinutes("PT-3M").getMinutes();
	}

	public void test5() {
		Minutes.parseMinutes("P0Y0M0DT2M").getMinutes();
	}

	public void test6() {
		Minutes.parseMinutes("PT0H2M").getMinutes();
	}

	public void test7() {
		Minutes.parseMinutes("P1Y1D");
	}

	public void test8() {
		Minutes.parseMinutes("P1DT1M");
	}
	
	public static void main(String[] args) {
		TestMinutes2 t = new TestMinutes2();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
	}

}
