package org.joda.time;

import junit.framework.TestCase;

public class TestMonthDay_Basics9 extends TestCase {

	public void testWithField() {
		MonthDay test = new MonthDay(9, 6);
		MonthDay result = test.withField(DateTimeFieldType.monthOfYear(), 10);
	}

	public void testWithField_nullField() {
		MonthDay test = new MonthDay(9, 6);
		test.withField(null, 6);
	}

	public void testWithField_unknownField() {
		MonthDay test = new MonthDay(9, 6);
		test.withField(DateTimeFieldType.hourOfDay(), 6);
	}

	public void testWithField_same() {
		MonthDay test = new MonthDay(9, 6);
		MonthDay result = test.withField(DateTimeFieldType.monthOfYear(), 9);
	}
	
	public static void main(String[] args) {
		TestMonthDay_Basics9 t = new TestMonthDay_Basics9();
		t.testWithField();
		t.testWithField_same();
	}

}
