package org.joda.time;

import junit.framework.TestCase;

public class TestMutablePeriod_Updates5 extends TestCase {

	public void testSetPeriod_RP1() {
		MutablePeriod test = new MutablePeriod(1, 2, 3, 4, 5, 6, 7, 8);
		test.setPeriod(new MutablePeriod(11, 12, 13, 14, 15, 16, 17, 18));
	}

	public void testSetPeriod_RP2() {
		MutablePeriod test = new MutablePeriod(100L, PeriodType.millis());
		test.setPeriod(new MutablePeriod(11, 12, 13, 14, 15, 16, 17, 18));
	}

	public void testSetPeriod_RP3() {
		MutablePeriod test = new MutablePeriod(100L, PeriodType.millis());
		test.setPeriod(new MutablePeriod(0, 0, 0, 0, 0, 0, 0, 18));
	}

	public void testSetPeriod_RP4() {
		MutablePeriod test = new MutablePeriod(0, 0, 0, 0, 5, 6, 7, 8);
		test.setPeriod(new MutablePeriod(11, 12, 13, 14, 15, 16, 17, 18));
	}

	public void testSetPeriod_RP5() {
		MutablePeriod test = new MutablePeriod(1, 2, 3, 4, 5, 6, 7, 8);
		test.setPeriod((ReadablePeriod) null);
	}
	
	public static void main(String[] args) {
		TestMutablePeriod_Updates5 t = new TestMutablePeriod_Updates5();
		t.testSetPeriod_RP1();
		t.testSetPeriod_RP3();
		t.testSetPeriod_RP4();
		t.testSetPeriod_RP5();
	}

}
