package org.joda.time;

import junit.framework.TestCase;

public class TestMutablePeriod_Updates8 extends TestCase {

	public void testMergePeriod_RP1() {
		MutablePeriod test = new MutablePeriod(1, 2, 3, 4, 5, 6, 7, 8);
		test.mergePeriod(new MutablePeriod(0, 0, 0, 14, 15, 16, 17, 18, PeriodType.dayTime()));
	}

	public void testMergePeriod_RP2() {
		MutablePeriod test = new MutablePeriod(100L, PeriodType.millis());
		test.mergePeriod(new MutablePeriod(11, 12, 13, 14, 15, 16, 17, 18));
	}

	public void testMergePeriod_RP3() {
		MutablePeriod test = new MutablePeriod(100L, PeriodType.millis());
		test.mergePeriod(new MutablePeriod(0, 0, 0, 0, 0, 0, 0, 18));
	}

	public void testMergePeriod_RP4() {
		MutablePeriod test = new MutablePeriod(0, 0, 0, 0, 5, 6, 7, 8);
		test.mergePeriod(new MutablePeriod(11, 12, 13, 14, 15, 16, 17, 18));
	}

	public void testMergePeriod_RP5() {
		MutablePeriod test = new MutablePeriod(1, 2, 3, 4, 5, 6, 7, 8);
		test.mergePeriod((ReadablePeriod) null);
	}
	
	public static void main(String[] args) {
		TestMutablePeriod_Updates8 t = new TestMutablePeriod_Updates8();
		t.testMergePeriod_RP1();
		t.testMergePeriod_RP3();
		t.testMergePeriod_RP4();
		t.testMergePeriod_RP5();
	}

}
