package org.joda.time;

import junit.framework.TestCase;

public class TestPeriod_Basics3 extends TestCase {

	public void testWithField1() {
		Period test = new Period(1, 2, 3, 4, 5, 6, 7, 8);
		Period result = test.withField(DurationFieldType.years(), 6);
	}

	public void testWithField2() {
		Period test = new Period(1, 2, 3, 4, 5, 6, 7, 8);
		test.withField(null, 6);
	}

	public void testWithField3() {
		Period test = new Period(0, 0, 0, 0, 5, 6, 7, 8, PeriodType.time());
		test.withField(DurationFieldType.years(), 6);
	}

	public void testWithField4() {
		Period test = new Period(0, 0, 0, 0, 5, 6, 7, 8, PeriodType.time());
		Period result = test.withField(DurationFieldType.years(), 0);
	}

	public static void main(String[] args) {
		TestPeriod_Basics3 t = new TestPeriod_Basics3();
		t.testWithField1();
		t.testWithField4();
	}
	
}
