package org.joda.time;

import junit.framework.TestCase;

public class TestPeriod_Basics4 extends TestCase {

	public void testWithFieldAdded1() {
		Period test = new Period(1, 2, 3, 4, 5, 6, 7, 8);
		Period result = test.withFieldAdded(DurationFieldType.years(), 6);
	}

	public void testWithFieldAdded2() {
		Period test = new Period(1, 2, 3, 4, 5, 6, 7, 8);
		test.withFieldAdded(null, 0);
	}

	public void testWithFieldAdded3() {
		Period test = new Period(0, 0, 0, 0, 5, 6, 7, 8, PeriodType.time());
		test.withFieldAdded(DurationFieldType.years(), 6);
	}

	public void testWithFieldAdded4() {
		Period test = new Period(0, 0, 0, 0, 5, 6, 7, 8, PeriodType.time());
		Period result = test.withFieldAdded(DurationFieldType.years(), 0);
	}
	
	public static void main(String[] args) {
		TestPeriod_Basics4 t = new TestPeriod_Basics4();
		t.testWithFieldAdded1();
		t.testWithFieldAdded4();
	}

}
