package org.joda.time;

import junit.framework.TestCase;

public class TestSeconds1 extends TestCase {

	public void test1() {
		Seconds.standardSecondsIn((ReadablePeriod) null).getSeconds();

	}

	public void test2() {
		Seconds.standardSecondsIn(Period.ZERO).getSeconds();
	}

	public void test3() {
		Seconds.standardSecondsIn(new Period(0, 0, 0, 0, 0, 0, 1, 0)).getSeconds();
	}

	public void test4() {
		Seconds.standardSecondsIn(Period.seconds(123)).getSeconds();
	}

	public void test5() {
		Seconds.standardSecondsIn(Period.seconds(-987)).getSeconds();
	}

	public void test6() {
		Seconds.standardSecondsIn(Period.days(2)).getSeconds();
	}

	public void test7() {
		Seconds.standardSecondsIn(Period.months(1));
	}
	
	public static void main(String[] args) {
		TestSeconds1 t = new TestSeconds1();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
	}

}
