package org.joda.time;

import junit.framework.TestCase;

public class TestSeconds2 extends TestCase {

	public void test1() {
		Seconds.parseSeconds((String) null).getSeconds();
	}

	public void test2() {
		Seconds.parseSeconds("PT0S").getSeconds();
	}

	public void test3() {
		Seconds.parseSeconds("PT1S").getSeconds();
	}

	public void test4() {
		Seconds.parseSeconds("PT-3S").getSeconds();
	}

	public void test5() {
		Seconds.parseSeconds("P0Y0M0DT2S").getSeconds();
	}

	public void test6() {
		Seconds.parseSeconds("PT0H2S").getSeconds();
	}

	public void test7() {
		Seconds.parseSeconds("P1Y1D");
	}

	public void test8() {
		Seconds.parseSeconds("P1DT1S");
	}
	
	public static void main(String[] args) {
		TestSeconds2 t = new TestSeconds2();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
	}

}
