package org.joda.time;

import junit.framework.TestCase;

public class TestTimeOfDay_Basics10 extends TestCase {

	public void testWithFieldAdded1() {
		TimeOfDay test = new TimeOfDay(10, 20, 30, 40);
		TimeOfDay result = test.withFieldAdded(DurationFieldType.hours(), 6);
	}

	public void testWithFieldAdded2() {
		TimeOfDay test = new TimeOfDay(10, 20, 30, 40);
		test.withFieldAdded(null, 0);
	}

	public void testWithFieldAdded3() {
		TimeOfDay test = new TimeOfDay(10, 20, 30, 40);
		test.withFieldAdded(null, 6);
	}

	public void testWithFieldAdded4() {
		TimeOfDay test = new TimeOfDay(10, 20, 30, 40);
		TimeOfDay result = test.withFieldAdded(DurationFieldType.hours(), 0);
	}

	public void testWithFieldAdded5() {
		TimeOfDay test = new TimeOfDay(10, 20, 30, 40);
		test.withFieldAdded(DurationFieldType.days(), 6);
	}

	public void testWithFieldAdded6() {
		TimeOfDay test = new TimeOfDay(10, 20, 30, 40);
		TimeOfDay result = test.withFieldAdded(DurationFieldType.hours(), 16);
	}

	public void testWithFieldAdded7() {
		TimeOfDay test = new TimeOfDay(23, 59, 59, 999);
		TimeOfDay result = test.withFieldAdded(DurationFieldType.millis(), 1);
	}
	
	public void test7b() {
		TimeOfDay test = new TimeOfDay(23, 59, 59, 999);
		TimeOfDay result = test.withFieldAdded(DurationFieldType.seconds(), 1);
	}
	
	public void test7c() {
		TimeOfDay test = new TimeOfDay(23, 59, 59, 999);
		TimeOfDay result = test.withFieldAdded(DurationFieldType.minutes(), 1);
	}
	
	public void test7d() {
		TimeOfDay test = new TimeOfDay(23, 59, 59, 999);
		TimeOfDay  result = test.withFieldAdded(DurationFieldType.hours(), 1);
	}

	public void testWithFieldAdded8() {
		TimeOfDay test = new TimeOfDay(0, 0, 0, 0);
		TimeOfDay result = test.withFieldAdded(DurationFieldType.millis(), -1);
	}
	
	public void test8b() {
		TimeOfDay test = new TimeOfDay(0, 0, 0, 0);
		TimeOfDay result = test.withFieldAdded(DurationFieldType.seconds(), -1);
	}
	
	public void test8c() {
		TimeOfDay test = new TimeOfDay(0, 0, 0, 0);
		TimeOfDay result = test.withFieldAdded(DurationFieldType.minutes(), -1);
	}
	
	public void test8d() {
		TimeOfDay test = new TimeOfDay(0, 0, 0, 0);
		TimeOfDay result = test.withFieldAdded(DurationFieldType.hours(), -1);
	}
	
	public static void main(String[] args) {
		TestTimeOfDay_Basics10 t = new TestTimeOfDay_Basics10();
		t.testWithFieldAdded1();
		t.testWithFieldAdded4();
		t.testWithFieldAdded6();
		t.testWithFieldAdded7();
		t.testWithFieldAdded8();
		t.test7b();
		t.test7c();
		t.test7d();
		t.test8b();
		t.test8c();
		t.test8d();
		
	}

}
