package org.joda.time;

import junit.framework.TestCase;

public class TestYearMonthDay_Basics10 extends TestCase {

	public void testWithField1() {
		YearMonthDay test = new YearMonthDay(2004, 6, 9);
		YearMonthDay result = test.withField(DateTimeFieldType.year(), 2006);
	}

	public void testWithField2() {
		YearMonthDay test = new YearMonthDay(2004, 6, 9);
		test.withField(null, 6);
	}

	public void testWithField3() {
		YearMonthDay test = new YearMonthDay(2004, 6, 9);
		test.withField(DateTimeFieldType.hourOfDay(), 6);
	}

	public void testWithField4() {
		YearMonthDay test = new YearMonthDay(2004, 6, 9);
		YearMonthDay result = test.withField(DateTimeFieldType.year(), 2004);
	}
	
	public static void main(String[] args) {
		TestYearMonthDay_Basics10 t = new TestYearMonthDay_Basics10();
		t.testWithField1();
		t.testWithField4();
	}

}
