package org.joda.time;

import junit.framework.TestCase;

public class TestYearMonthDay_Basics11 extends TestCase {

	public void testWithFieldAdded1() {
		YearMonthDay test = new YearMonthDay(2004, 6, 9);
		YearMonthDay result = test.withFieldAdded(DurationFieldType.years(), 6);
	}

	public void testWithFieldAdded2() {
		YearMonthDay test = new YearMonthDay(2004, 6, 9);
		test.withFieldAdded(null, 0);
	}

	public void testWithFieldAdded3() {
		YearMonthDay test = new YearMonthDay(2004, 6, 9);
		test.withFieldAdded(null, 6);
	}

	public void testWithFieldAdded4() {
		YearMonthDay test = new YearMonthDay(2004, 6, 9);
		YearMonthDay result = test.withFieldAdded(DurationFieldType.years(), 0);
	}

	public void testWithFieldAdded5() {
		YearMonthDay test = new YearMonthDay(2004, 6, 9);
		test.withFieldAdded(DurationFieldType.hours(), 6);
	}
	
	public static void main(String[] args) {
		TestYearMonthDay_Basics11 t = new TestYearMonthDay_Basics11();
		t.testWithFieldAdded1();
		t.testWithFieldAdded4();
	}

}
