package org.joda.time;

import java.util.Calendar;
import java.util.GregorianCalendar;

import junit.framework.TestCase;

public class TestYearMonthDay_Constructors1 extends TestCase {

	public void testFactory_FromCalendarFields() throws Exception {
		GregorianCalendar cal = new GregorianCalendar(1970, 1, 3, 4, 5, 6);
		cal.set(Calendar.MILLISECOND, 7);
		YearMonthDay.fromCalendarFields(cal);
	}

	public void test2() {
		YearMonthDay.fromCalendarFields(null);
	}
	
	public static void main(String[] args) throws Exception {
		TestYearMonthDay_Constructors1 t = new TestYearMonthDay_Constructors1();
		t.testFactory_FromCalendarFields();
	}

}
