package org.joda.time;

import junit.framework.TestCase;

public class TestYearMonth_Basics10 extends TestCase {

	public void testWithField() {
		YearMonth test = new YearMonth(2004, 6);
		YearMonth result = test.withField(DateTimeFieldType.year(), 2006);
	}

	public void testWithField_nullField() {
		YearMonth test = new YearMonth(2004, 6);
		test.withField(null, 6);
	}

	public void testWithField_unknownField() {
		YearMonth test = new YearMonth(2004, 6);
		test.withField(DateTimeFieldType.hourOfDay(), 6);
	}

	public void testWithField_same() {
		YearMonth test = new YearMonth(2004, 6);
		YearMonth result = test.withField(DateTimeFieldType.year(), 2004);
	}
	
	public static void main(String[] args) {
		TestYearMonth_Basics10 t = new TestYearMonth_Basics10();
		t.testWithField();
		t.testWithField_same();
	}

}
