package org.joda.time;

import junit.framework.TestCase;

public class TestYears1 extends TestCase {

	public void test1() {
		Years.parseYears((String) null).getYears();
	}

	public void test2() {
		Years.parseYears("P0Y").getYears();
	}

	public void test3() {
		Years.parseYears("P1Y").getYears();
	}

	public void test4() {
		Years.parseYears("P-3Y").getYears();
	}

	public void test5() {
		Years.parseYears("P2Y0M").getYears();
	}

	public void test6() {
		Years.parseYears("P2YT0H0M").getYears();
	}

	public void test7() {
		Years.parseYears("P1M1D");
	}

	public void test8() {
		Years.parseYears("P1YT1H");
	}
	
	public static void main(String[] args) {
		TestYears1 t = new TestYears1();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
	}

}
