package org.joda.time;

import junit.framework.TestCase;

public class TestMutableDateTime_Set5 extends TestCase {

	public void testSetMonthOfYear_int1() {
		MutableDateTime test = new MutableDateTime(2002, 6, 9, 5, 6, 7, 8);
		test.setMonthOfYear(12);
	}

	public void testSetMonthOfYear_int_dstOverlapSummer_addZero() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.setMonthOfYear(10);
	}

	public void testSetMonthOfYear_int_dstOverlapWinter_addZero() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.addHours(1);
		test.setMonthOfYear(10);
	}

	public void testSetMonthOfYear_int2() {
		MutableDateTime test = new MutableDateTime(2002, 6, 9, 5, 6, 7, 8);
		test.setMonthOfYear(13);
	}
	
	public void test1b() {
		MutableDateTime test = new MutableDateTime(2002, 6, 9, 5, 6, 7, 8);
		test.setMonthOfYear(11);
	}

	public void test1c() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.setMonthOfYear(11);
	}

	public void test1d() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.addHours(1);
		test.setMonthOfYear(11);
	}
	
	public void test1e() {
		MutableDateTime test = new MutableDateTime(2002, 6, 9, 5, 6, 7, 8);
		test.setMonthOfYear(10);
	}
	
	public void test1f() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.setMonthOfYear(12);
	}

	public void test1g() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.addHours(1);
		test.setMonthOfYear(12);
	}
	
	public static void main(String[] args) {
		TestMutableDateTime_Set5 t = new TestMutableDateTime_Set5();
		t.testSetMonthOfYear_int1();
		t.testSetMonthOfYear_int_dstOverlapSummer_addZero();
		t.testSetMonthOfYear_int_dstOverlapWinter_addZero();
		
		t.test1b();
		t.test1c();
		t.test1d();
		t.test1e();
		t.test1f();
		t.test1g();
	}

}
