package org.joda.time;

import org.joda.time.chrono.GJChronology;

import junit.framework.TestCase;

public class TestDateTime_Basics3 extends TestCase {
	
private static final DateTimeZone LONDON = DateTimeZone.forID("Europe/London");
	
	private static final GJChronology GJ_DEFAULT = GJChronology.getInstance(LONDON);

	public void test1() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(2);
	}

	public void test2() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(0);
	}

	public void test3() {
		DateTime test = new DateTime(1970, 6, 9, 10, 20, 30, 40, GJ_DEFAULT);
		test.withMonthOfYear(13);
	}
	
	public static void main(String[] args) {
		TestDateTime_Basics3 t = new TestDateTime_Basics3();
		t.test1();
	}

}
