package org.joda.time;

import junit.framework.TestCase;

public class TestDays10 extends TestCase {

	public void test1() {
		Days test = Days.days(2);
		test.multipliedBy(3).getDays();
	}

	public void test2() {
		Days test = Days.days(2);
		test.multipliedBy(-3).getDays();
	}

	public void test3() {
		Days test = Days.days(2);
		test.multipliedBy(1).getDays();
	}

	public void test4() {
		Days halfMax = Days.days(Integer.MAX_VALUE / 2 + 1);
		halfMax.multipliedBy(2);
	}
	
	public static void main(String[] args) {
		TestDays10 t = new TestDays10();
		t.test1();
		t.test2();
		t.test3();
	}

}
