package org.joda.time;

import junit.framework.TestCase;

public class TestDuration_Basics5 extends TestCase {

	public void test1() {
		Duration test = new Duration(0L);
		assertEquals(Seconds.seconds(0), test.toStandardSeconds());
	}

	public void test2() {
		Duration test = new Duration(1L);
		test.toStandardSeconds();
	}

	public void test3() {
		Duration test = new Duration(999L);
		test.toStandardSeconds();
	}

	public void test4() {
		Duration test = new Duration(1000L);
		test.toStandardSeconds();
	}

	public void test5() {
		Duration test = new Duration(1001L);
		test.toStandardSeconds();
	}

	public void test6() {
		Duration test = new Duration(1999L);
		test.toStandardSeconds();
	}

	public void test7() {
		Duration test = new Duration(2000L);
		test.toStandardSeconds();
	}

	public void test8() {
		Duration test = new Duration(-1L);
		test.toStandardSeconds();
	}

	public void test9() {
		Duration test = new Duration(-999L);
		test.toStandardSeconds();
	}

	public void test10() {
		Duration test = new Duration(-1000L);
		test.toStandardSeconds();
	}

	public void test11() {
		Duration test = new Duration(((long) Integer.MAX_VALUE) * 1000L + 1000L);
		test.toStandardSeconds();
	}
	
	public static void main(String[] args) {
		TestDuration_Basics5 t = new TestDuration_Basics5();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
		t.test7();
		t.test8();
		t.test9();
		t.test10();
	}

}
