package org.joda.time;

import junit.framework.TestCase;

public class TestHours1 extends TestCase {

	public void test1() {
		Hours.standardHoursIn((ReadablePeriod) null).getHours();
	}

	public void test2() {
		Hours.standardHoursIn(Period.ZERO).getHours();
	}

	public void test3() {
		Hours.standardHoursIn(new Period(0, 0, 0, 0, 1, 0, 0, 0)).getHours();
	}

	public void test4() {
		Hours.standardHoursIn(Period.hours(123)).getHours();
	}

	public void test5() {
		Hours.standardHoursIn(Period.hours(-987)).getHours();
	}

	public void test6() {
		Hours.standardHoursIn(Period.minutes(119)).getHours();
	}

	public void test7() {
		Hours.standardHoursIn(Period.minutes(120)).getHours();
	}

	public void test8() {
		Hours.standardHoursIn(Period.minutes(121)).getHours();
	}

	public void test9() {
		Hours.standardHoursIn(Period.days(2)).getHours();
	}

	public void test10() {
		Hours.standardHoursIn(Period.months(1));
	}

	public static void main(String[] args) {
		TestHours1 t = new TestHours1();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
		t.test7();
		t.test8();
		t.test9();
	}
	
}
