package org.joda.time;

import org.joda.time.chrono.GJChronology;

import junit.framework.TestCase;

public class TestLocalDateTime_Basics11 extends TestCase {

	private static final GJChronology GJ_UTC = GJChronology.getInstanceUTC();

	public void test1() {
		LocalDateTime test = new LocalDateTime(1970, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.withMonthOfYear(2);
	}

	public void test2() {
		LocalDateTime test = new LocalDateTime(1970, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.withMonthOfYear(0);
	}

	public void test3() {
		LocalDateTime test = new LocalDateTime(1970, 6, 9, 10, 20, 30, 40, GJ_UTC);
		test.withMonthOfYear(13);
	}
	
	public static void main(String[] args) throws Throwable {
		TestLocalDateTime_Basics11 t = new TestLocalDateTime_Basics11();
		t.test1();
	}

}
