package org.joda.time;

import junit.framework.TestCase;

public class TestLocalDate_Basics9 extends TestCase {

	public void testWithField_DateTimeFieldType_int_1() {
		LocalDate test = new LocalDate(2004, 6, 9);
		LocalDate result = test.withField(DateTimeFieldType.year(), 2006);
	}

	public void testWithField_DateTimeFieldType_int_2() {
		LocalDate test = new LocalDate(2004, 6, 9);
		test.withField(null, 6);
	}

	public void testWithField_DateTimeFieldType_int_3() {
		LocalDate test = new LocalDate(2004, 6, 9);
		test.withField(DateTimeFieldType.hourOfDay(), 6);
	}

	public void testWithField_DateTimeFieldType_int_4() {
		LocalDate test = new LocalDate(2004, 6, 9);
		LocalDate result = test.withField(DateTimeFieldType.year(), 2004);
	}
	
	public static void main(String[] args) throws Throwable {
		TestLocalDate_Basics9 t = new TestLocalDate_Basics9();
		t.testWithField_DateTimeFieldType_int_1();
		t.testWithField_DateTimeFieldType_int_4();
	}

}
