package org.joda.time;

import org.joda.time.chrono.GregorianChronology;

import junit.framework.TestCase;

public class TestLocalTime_Basics5 extends TestCase {

	public void test1() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		LocalTime test1a = new LocalTime(10, 20, 30, 40);
		test1.compareTo(test1a);
	}

	public void test2() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		LocalTime test1a = new LocalTime(10, 20, 30, 40);
		test1a.compareTo(test1);
	}

	public void test3() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		LocalTime test1a = new LocalTime(10, 20, 30, 40);
		test1.compareTo(test1);
	}

	public void test4() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		LocalTime test1a = new LocalTime(10, 20, 30, 40);
		test1a.compareTo(test1a);
	}

	public void test5() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		LocalTime test2 = new LocalTime(10, 20, 35, 40);
		test1.compareTo(test2);
	}

	public void test6() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		LocalTime test2 = new LocalTime(10, 20, 35, 40);
		test2.compareTo(test1);
	}

	public void test7() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		LocalTime test3 = new LocalTime(10, 20, 35, 40, GregorianChronology.getInstanceUTC());
		test1.compareTo(test3);
	}

	public void test8() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		LocalTime test3 = new LocalTime(10, 20, 35, 40, GregorianChronology.getInstanceUTC());
		test3.compareTo(test1);
	}

	public void test9() {
		LocalTime test2 = new LocalTime(10, 20, 35, 40);
		LocalTime test3 = new LocalTime(10, 20, 35, 40, GregorianChronology.getInstanceUTC());
		test3.compareTo(test2);
	}

	public void test10() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		DateTimeFieldType[] types = new DateTimeFieldType[] { DateTimeFieldType.hourOfDay(),
				DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(),
				DateTimeFieldType.millisOfSecond(), };
		int[] values = new int[] { 10, 20, 30, 40 };
		Partial p = new Partial(types, values);
		test1.compareTo(p);
	}

	public void test11() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		test1.compareTo(new TimeOfDay(10, 20, 30, 40));
	}

	public void test12() {
		LocalTime test1 = new LocalTime(10, 20, 30, 40);
		test1.compareTo(null);
	}
	
	public static void main(String[] args) {
		TestLocalTime_Basics5 t = new TestLocalTime_Basics5();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
		t.test7();
		t.test8();
		t.test9();
		t.test10();
		t.test11();
	}

}
