package org.joda.time;

import junit.framework.TestCase;

public class TestMinutes8 extends TestCase {

	public void test1() {
		Minutes test = Minutes.minutes(2);
		test.multipliedBy(3).getMinutes();
	}

	public void test2() {
		Minutes test = Minutes.minutes(2);
		test.multipliedBy(-3).getMinutes();
	}

	public void test3() {
		Minutes test = Minutes.minutes(2);
		test.multipliedBy(1).getMinutes();
	}

	public void test4() {
		Minutes halfMax = Minutes.minutes(Integer.MAX_VALUE / 2 + 1);
		halfMax.multipliedBy(2);
	}
	
	public static void main(String[] args) {
		TestMinutes8 t = new TestMinutes8();
		t.test1();
		t.test2();
		t.test3();
	}

}
