package org.joda.time;

import junit.framework.TestCase;

public class TestMonthDay_Basics10 extends TestCase {

	public void testWithFieldAdded() {
		MonthDay test = new MonthDay(9, 6);
		MonthDay result = test.withFieldAdded(DurationFieldType.months(), 1);
	}

	public void testWithFieldAdded_nullField_zero() {
		MonthDay test = new MonthDay(9, 6);
		test.withFieldAdded(null, 0);
	}

	public void testWithFieldAdded_nullField_nonZero() {
		MonthDay test = new MonthDay(9, 6);
		test.withFieldAdded(null, 6);
	}

	public void testWithFieldAdded_zero() {
		MonthDay test = new MonthDay(9, 6);
		MonthDay result = test.withFieldAdded(DurationFieldType.months(), 0);
	}

	public void testWithFieldAdded_unknownField() {
		MonthDay test = new MonthDay(9, 6);
		test.withFieldAdded(DurationFieldType.hours(), 6);
	}
	
	public static void main(String[] args) {
		TestMonthDay_Basics10 t = new TestMonthDay_Basics10();
		t.testWithFieldAdded();
		t.testWithFieldAdded_zero();
	}

}
