package org.joda.time;

import junit.framework.TestCase;

public class TestMonths1 extends TestCase {

	public void test1() {
		Months.parseMonths((String) null).getMonths();
	}

	public void test2() {
		Months.parseMonths("P0M").getMonths();
	}

	public void test3() {
		Months.parseMonths("P1M").getMonths();
	}

	public void test4() {
		Months.parseMonths("P-3M").getMonths();
	}

	public void test5() {
		Months.parseMonths("P0Y2M").getMonths();
	}

	public void test6() {
		Months.parseMonths("P2MT0H0M").getMonths();
	}

	public void test7() {
		Months.parseMonths("P1Y1D");
	}

	public void test8() {
		Months.parseMonths("P1MT1H");
	}
	
	public static void main(String[] args) {
		TestMonths1 t = new TestMonths1();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
	}

}
