package org.joda.time;

import junit.framework.TestCase;

public class TestMutableDateTime_Set7 extends TestCase {

	public void testSetDayOfYear_int1() {
		MutableDateTime test = new MutableDateTime(2002, 6, 9, 5, 6, 7, 8);
		test.setDayOfYear(3);
	}

	public void testSetDayOfYear_int_dstOverlapSummer_addZero() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.setDayOfYear(303);
	}

	public void testSetDayOfYear_int_dstOverlapWinter_addZero() {
		MutableDateTime test = new MutableDateTime(2011, 10, 30, 2, 30, 0, 0, DateTimeZone.forID("Europe/Berlin"));
		test.addHours(1);
		test.setDayOfYear(303);
	}

	public void testSetDayOfYear_int2() {
		MutableDateTime test = new MutableDateTime(2002, 6, 9, 5, 6, 7, 8);
		test.setDayOfYear(366);
	}
	
	public static void main(String[] args) {
		TestMutableDateTime_Set7 t = new TestMutableDateTime_Set7();
		t.testSetDayOfYear_int1();
		t.testSetDayOfYear_int_dstOverlapSummer_addZero();
		t.testSetDayOfYear_int_dstOverlapWinter_addZero();
	}

}
