package org.joda.time;

import junit.framework.TestCase;

public class TestPeriod_Basics1 extends TestCase {

	public void testWithPeriodType1() {
		Period test = new Period(123L);
		Period result = test.withPeriodType(PeriodType.standard());
	}

	public void testWithPeriodType2() {
		Period test = new Period(3123L);
		Period result = test.withPeriodType(PeriodType.dayTime());
	}

	public void testWithPeriodType3() {
		Period test = new Period(1, 2, 3, 4, 5, 6, 7, 8, PeriodType.standard());
		test.withPeriodType(PeriodType.dayTime());
	}

	public void testWithPeriodType4() {
		Period test = new Period(3123L);
		Period result = test.withPeriodType(null);
	}

	public void testWithPeriodType5() {
		Period test = new Period(1, 2, 0, 4, 5, 6, 7, 8, PeriodType.standard());
		Period result = test.withPeriodType(PeriodType.yearMonthDayTime());
	}
	
	public static void main(String[] args) {
		TestPeriod_Basics1 t = new TestPeriod_Basics1();
		t.testWithPeriodType1();
		t.testWithPeriodType2();
		t.testWithPeriodType4();
		t.testWithPeriodType5();
	}

}
