package org.joda.time;

import junit.framework.TestCase;

public class TestPeriod_Basics10 extends TestCase {

	public void testNegated() {
		Period base = new Period(1, 2, 3, 4, 5, 6, 7, 8);
		base.negated();
	}

	public void test2() {
		Period.ZERO.negated();
	}

	public void test3() {
		Period.days(Integer.MAX_VALUE).negated();
	}

	public void test4() {
		Period.days(Integer.MIN_VALUE).negated();
	}
	
	public static void main(String[] args) {
		TestPeriod_Basics10 t = new TestPeriod_Basics10();
		t.testNegated();
		t.test2();
		t.test3();
	}

}
