package org.joda.time;

import junit.framework.TestCase;

public class TestPeriod_Basics9 extends TestCase {

	public void testMultipliedBy() {
		Period base = new Period(1, 2, 3, 4, 5, 6, 7, 8);
		base.multipliedBy(1);
	}

	public void test2() {
		Period base = new Period(1, 2, 3, 4, 5, 6, 7, 8);
		base.multipliedBy(0);
	}

	public void test3() {
		Period base = new Period(1, 2, 3, 4, 5, 6, 7, 8);
		base.multipliedBy(2);
	}

	public void test4() {
		Period base = new Period(1, 2, 3, 4, 5, 6, 7, 8);
		base.multipliedBy(3);
	}

	public void test5() {
		Period base = new Period(1, 2, 3, 4, 5, 6, 7, 8);
		base.multipliedBy(-4);
	}

	public void test6() {
		Period.days(Integer.MAX_VALUE).multipliedBy(2);
	}

	public void test7() {
		Period.days(Integer.MIN_VALUE).multipliedBy(2);
	}
	
	public static void main(String[] args) {
		TestPeriod_Basics9 t = new TestPeriod_Basics9();
		t.testMultipliedBy();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
	}

}
