package org.joda.time;

import junit.framework.TestCase;

public class TestPeriod_Constructors4 extends TestCase {

	@SuppressWarnings("deprecation")
	public void testFactoryFieldDifference1() throws Throwable {
		YearMonthDay start = new YearMonthDay(2005, 4, 9);
		DateTimeFieldType[] types = new DateTimeFieldType[] { DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(),
				DateTimeFieldType.dayOfMonth(), };
		Partial end = new Partial(types, new int[] { 2004, 6, 7 });
		Period test = Period.fieldDifference(start, end);
	}

	@SuppressWarnings("deprecation")
	public void testFactoryFieldDifference2() throws Throwable {
		YearMonthDay ymd = new YearMonthDay(2005, 4, 9);
		Period.fieldDifference(ymd, (ReadablePartial) null);
	}

	public void test2b() {
		YearMonthDay ymd = new YearMonthDay(2005, 4, 9);
		Period.fieldDifference((ReadablePartial) null, ymd);
	}

	@SuppressWarnings("deprecation")
	public void testFactoryFieldDifference3() throws Throwable {
		YearMonthDay start = new YearMonthDay(2005, 4, 9);
		TimeOfDay endTime = new TimeOfDay(12, 30, 40, 0);
		Period.fieldDifference(start, endTime);
	}

	@SuppressWarnings("deprecation")
	public void testFactoryFieldDifference4() throws Throwable {
		DateTimeFieldType[] types = new DateTimeFieldType[] { DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(),
				DateTimeFieldType.dayOfWeek(), };
		YearMonthDay start = new YearMonthDay(2005, 4, 9);
		Partial end = new Partial(types, new int[] { 1, 2, 3 });
		Period.fieldDifference(start, end);
	}

	public void testFactoryFieldDifference5() throws Throwable {
		DateTimeFieldType[] types = new DateTimeFieldType[] { DateTimeFieldType.year(), DateTimeFieldType.dayOfMonth(),
				DateTimeFieldType.dayOfWeek(), };
		Partial start = new Partial(types, new int[] { 1, 2, 3 });
		Partial end = new Partial(types, new int[] { 1, 2, 3 });
		Period.fieldDifference(start, end);
	}

	public static void main(String[] args) throws Throwable {
		TestPeriod_Constructors4 t = new TestPeriod_Constructors4();
		t.testFactoryFieldDifference1();
	}
	
}
