package org.joda.time;

import java.util.Calendar;
import java.util.GregorianCalendar;

import junit.framework.TestCase;

public class TestTimeOfDay_Constructors2 extends TestCase {

	public void testFactory_FromDateFields_after1970() throws Exception {
		GregorianCalendar cal = new GregorianCalendar(1970, 1, 3, 4, 5, 6);
		cal.set(Calendar.MILLISECOND, 7);
		TimeOfDay.fromDateFields(cal.getTime());
	}

	public void testFactory_FromDateFields_before1970() throws Exception {
		GregorianCalendar cal = new GregorianCalendar(1969, 1, 3, 4, 5, 6);
		cal.set(Calendar.MILLISECOND, 7);
		TimeOfDay.fromDateFields(cal.getTime());
	}

	public void testFactory_FromDateFields_null() throws Exception {
		TimeOfDay.fromDateFields(null);
	}
	
	public static void main(String[] args) throws Exception {
		TestTimeOfDay_Constructors2 t = new TestTimeOfDay_Constructors2();
		t.testFactory_FromDateFields_after1970();
		t.testFactory_FromDateFields_before1970();
	}

}
