package org.joda.time;

import junit.framework.TestCase;

public class TestWeeks1 extends TestCase {

	public void test1() {
		Weeks.standardWeeksIn((ReadablePeriod) null).getWeeks();
	}

	public void test2() {
		Weeks.standardWeeksIn(Period.ZERO).getWeeks();
	}

	public void test3() {
		Weeks.standardWeeksIn(new Period(0, 0, 1, 0, 0, 0, 0, 0)).getWeeks();
	}

	public void test4() {
		Weeks.standardWeeksIn(Period.weeks(123)).getWeeks();
	}

	public void test5() {
		Weeks.standardWeeksIn(Period.weeks(-987)).getWeeks();
	}

	public void test6() {
		Weeks.standardWeeksIn(Period.days(13)).getWeeks();
	}

	public void test7() {
		Weeks.standardWeeksIn(Period.days(14)).getWeeks();
	}

	public void test8() {
		Weeks.standardWeeksIn(Period.days(15)).getWeeks();
	}

	public void test9() {
		Weeks.standardWeeksIn(Period.months(1));
	}
	
	public static void main(String[] args) {
		TestWeeks1 t = new TestWeeks1();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
		t.test7();
		t.test8();
	}

}
