package org.joda.time;

import junit.framework.TestCase;

public class TestWeeks2 extends TestCase {

	public void test1() {
		Weeks.parseWeeks((String) null).getWeeks();
	}

	public void test2() {
		Weeks.parseWeeks("P0W").getWeeks();
	}

	public void test3() {
		Weeks.parseWeeks("P1W").getWeeks();
	}

	public void test4() {
		Weeks.parseWeeks("P-3W").getWeeks();
	}

	public void test5() {
		Weeks.parseWeeks("P0Y0M2W").getWeeks();
	}

	public void test6() {
		Weeks.parseWeeks("P2WT0H0M").getWeeks();
	}

	public void test7() {
		Weeks.parseWeeks("P1Y1D");
	}

	public void test8() {
		Weeks.parseWeeks("P1WT1H");
	}
	
	public static void main(String[] args) {
		TestWeeks2 t = new TestWeeks2();
		t.test1();
		t.test2();
		t.test3();
		t.test4();
		t.test5();
		t.test6();
	}

}
