package org.joda.time;

import java.util.Calendar;
import java.util.GregorianCalendar;

import junit.framework.TestCase;

public class TestYearMonthDay_Constructors2 extends TestCase {

	public void testFactory_FromDateFields() throws Exception {
		GregorianCalendar cal = new GregorianCalendar(1970, 1, 3, 4, 5, 6);
		cal.set(Calendar.MILLISECOND, 7);
		YearMonthDay.fromDateFields(cal.getTime());
	}

	public void test2() {
		YearMonthDay.fromDateFields(null);
	}
	
	public static void main(String[] args) throws Exception {
		TestYearMonthDay_Constructors2 t = new TestYearMonthDay_Constructors2();
		t.testFactory_FromDateFields();
	}

}
