package org.joda.time;

import junit.framework.TestCase;

public class TestYears6 extends TestCase {

	public void testMultipliedBy_int() {
		Years test = Years.years(2);
		test.multipliedBy(3).getYears();
	}

	public void test2() {
		Years test = Years.years(2);
		test.multipliedBy(-3).getYears();
	}

	public void test3() {
		Years test = Years.years(2);
		test.multipliedBy(1).getYears();
	}

	public void test4() {
		Years halfMax = Years.years(Integer.MAX_VALUE / 2 + 1);
		halfMax.multipliedBy(2);
	}
	
	public static void main(String[] args) {
		TestYears6 t = new TestYears6();
		t.testMultipliedBy_int();
		t.test2();
		t.test3();
	}

}
